// SSICGIPage3.cpp : 実装ファイル
//

#include "stdafx.h"
#include "ServerController.h"
#include "SSICGIPage3.h"


// CSSICGIPage3 ダイアログ

IMPLEMENT_DYNAMIC(CSSICGIPage3, CPropertyPage)
CSSICGIPage3::CSSICGIPage3()
	: CPropertyPage(CSSICGIPage3::IDD)
	, m_host(FALSE)
{
}

CSSICGIPage3::~CSSICGIPage3()
{
}

void CSSICGIPage3::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_REMOTE_HOST, m_host);
}


BEGIN_MESSAGE_MAP(CSSICGIPage3, CPropertyPage)
END_MESSAGE_MAP()


// CSSICGIPage3 メッセージ ハンドラ

BOOL CSSICGIPage3::OnInitDialog()
{
	CPropertyPage::OnInitDialog();

	m_host = GET_APP()->m_setting.GetConfig("CGIEnvironment::EnableGetHostName",0);
	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// 例外 : OCX プロパティ ページは必ず FALSE を返します。
}

BOOL CSSICGIPage3::OnKillActive()
{
	UpdateData(TRUE);
	GET_APP()->m_setting.SetConfig("CGIEnvironment::EnableGetHostName",m_host);

	return CPropertyPage::OnKillActive();
}
